Skip to main content
POST
/
api
/
v1
/
attachments
/
{board_id}
/
{card_id}
Upload Attachment
curl --request POST \
  --url https://api.example.com/api/v1/attachments/{board_id}/{card_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'file=<string>'
{
  "card_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "filename": "<string>",
  "id": "<string>",
  "mime_type": "<string>",
  "original_filename": "<string>",
  "size": 123,
  "uploaded_by": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

board_id
string
required
card_id
string
required

Body

multipart/form-data
file
string
required

Response

Successful Response

Schema for attachment response.

card_id
string
required
created_at
string<date-time>
required
filename
string
required
id
string
required
mime_type
string
required
original_filename
string
required
size
integer
required
uploaded_by
string
required
Last modified on May 8, 2026